#=============================================================
#
#	CLIENT.MAK - Makefile for project C:\Work\server-client\client.prj
#		Created on 08/01/93 at 16:45
#
#=============================================================

.AUTODEPEND

#=============================================================
#		Translator Definitions
#=============================================================
CC = bcc +CLIENT.CFG
TASM = tasm.exe
TLIB = tlib.exe
TLINK = tlink
RC = brcc.exe
RB = rc.exe
LIBPATH = C:\BCOS2\LIB
INCLUDEPATH = C:\BCOS2\INCLUDE


#=============================================================
#		Implicit Rules
#=============================================================
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

.asm.obj:
  $(TASM) -Mx $*.asm,$*.obj

.rc.res:
  $(RC) -r $*.rc

#=============================================================
#		List Macros
#=============================================================
LINK_EXCLUDE =  \
 apfel.res

LINK_INCLUDE =  \
 {$(LIBPATH)}oopdll.lib \
 apfel.obj

#=============================================================
#		Explicit Rules
#=============================================================
client.exe: client.cfg $(LINK_INCLUDE) $(LINK_EXCLUDE)
  $(TLINK) /v /c /s /wimt /wmsk /wdpl /Toe /aa /L$(LIBPATH) @&&|
C:\BCOS2\LIB\C02.OBJ+
apfel.obj
client,client
oopdll.lib+
C:\BCOS2\LIB\C2MTI.LIB+
C:\BCOS2\LIB\OS2.LIB

|
  rc.exe apfel.res client.exe

#=============================================================
#		Individual File Dependencies
#=============================================================
apfel.res: client.cfg APFEL.RC 
	brcc.exe -R -I$(INCLUDEPATH) -FO apfel.res APFEL.RC

apfel.obj: client.cfg apfel.cpp 

#=============================================================
#		Compiler Configuration File
#=============================================================
client.cfg: client.mak
  copy &&|
-Vmv
-i96
-L$(LIBPATH)
-I$(INCLUDEPATH)
-H=C:\Work\server-client\client.CSM
-vi
-sm
-d
-y
-v
-a
-wnod
-wuse
-wucp
-wstv
-wsig
-w-pia
-wdef
-wcln
-wasm
-wamp
-wamb
-wbbf
-wpin
-w-inl
| client.cfg


