#=============================================================
#
#	OOPDLL.MAK - Makefile for project C:\Work\server-client\OOPDLL.prj
#		Created on 08/01/93 at 16:44
#
#=============================================================

.AUTODEPEND

#=============================================================
#		Translator Definitions
#=============================================================
CC = bcc +OOPDLL.CFG
TASM = tasm.exe
TLIB = tlib.exe
TLINK = tlink
RC = brcc.exe
RB = rc.exe
LIBPATH = C:\BCOS2\LIB
INCLUDEPATH = C:\BCOS2\INCLUDE


#=============================================================
#		Implicit Rules
#=============================================================
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

.asm.obj:
  $(TASM) -Mx $*.asm,$*.obj

.rc.res:
  $(RC) -r $*.rc

#=============================================================
#		List Macros
#=============================================================


EXE_DEPENDENCIES =  \
 pmprocess.obj \
 process.obj \
 tree.obj \
 chain.obj \
 object.obj

#=============================================================
#		Explicit Rules
#=============================================================
oopdll.dll: oopdll.cfg $(EXE_DEPENDENCIES)
  $(TLINK) /c /wdpl /Tod /ap /L$(LIBPATH) @&&|
C:\BCOS2\LIB\C02D.OBJ+
pmprocess.obj+
process.obj+
tree.obj+
chain.obj+
object.obj
oopdll.dll,oopdll
C:\BCOS2\LIB\C2MTI.LIB+
C:\BCOS2\LIB\OS2.LIB

|


#=============================================================
#		Individual File Dependencies
#=============================================================
pmprocess.obj: oopdll.cfg pmprocess.cpp 

process.obj: oopdll.cfg process.cpp 

tree.obj: oopdll.cfg tree.cpp 

chain.obj: oopdll.cfg chain.cpp 

object.obj: oopdll.cfg object.cpp 

#=============================================================
#		Compiler Configuration File
#=============================================================
oopdll.cfg: oopdll.mak
  copy &&|
-Vmv
-i96
-L$(LIBPATH)
-I$(INCLUDEPATH)
-sd
-H=C:\Work\server-client\OOPDLL.CSM
-vi
-sm
-d
-a
-wnod
-wuse
-wucp
-wstv
-wsig
-w-pia
-wdef
-wcln
-wasm
-wamp
-wamb
-wbbf
-wpin
-w-inl
| oopdll.cfg


