#=============================================================
#
#	SERVER.MAK - Makefile for project C:\Work\server-client\server.prj
#		Created on 08/01/93 at 16:46
#
#=============================================================

.AUTODEPEND

.PATH.obj = C:\WORK\SERVER-CLIENT

#=============================================================
#		Translator Definitions
#=============================================================
CC = bcc +SERVER.CFG
TASM = tasm.exe
TLIB = tlib.exe
TLINK = tlink
RC = brcc.exe
RB = rc.exe
LIBPATH = C:\BCOS2\LIB
INCLUDEPATH = C:\BCOS2\INCLUDE


#=============================================================
#		Implicit Rules
#=============================================================
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

.asm.obj:
  $(TASM) -Mx $*.asm,$*.obj

.rc.res:
  $(RC) -r $*.rc

#=============================================================
#		List Macros
#=============================================================


EXE_DEPENDENCIES =  \
 {$(LIBPATH)}oopdll.lib \
 server.obj \
 server.def

#=============================================================
#		Explicit Rules
#=============================================================
c:\work\server-client\server.exe: server.cfg $(EXE_DEPENDENCIES)
  $(TLINK) /v /s /Toe /ap /L$(LIBPATH) @&&|
C:\BCOS2\LIB\C02.OBJ+
c:\work\server-client\server.obj
c:\work\server-client\server,c:\work\server-client\server
c:\work\server-client\oopdll.lib+
C:\BCOS2\LIB\C2MTI.LIB+
C:\BCOS2\LIB\OS2.LIB
server.def
|


#=============================================================
#		Individual File Dependencies
#=============================================================
server.obj: server.cfg server.cpp 

#=============================================================
#		Compiler Configuration File
#=============================================================
server.cfg: server.mak
  copy &&|
-Vmv
-i96
-L$(LIBPATH)
-I$(INCLUDEPATH)
-nc:\work\server-client
-H=C:\Work\server-client\server.CSM
-vi
-sm
-d
-v
-a
-wnod
-wuse
-wucp
-wstv
-wsig
-w-pia
-wdef
-wcln
-wasm
-wamp
-wamb
-wbbf
-wpin
-w-inl
| server.cfg


